org.apache.fop.events

## Class UnsupportedOperationExceptionFactory

- java.lang.Object
- - org.apache.fop.events.UnsupportedOperationExceptionFactory

All Implemented Interfaces:
  EventExceptionManager.ExceptionFactory

    public class UnsupportedOperationExceptionFactory
    extends Object
    implements EventExceptionManager.ExceptionFactory

Exception factory for `UnsupportedOperationException`.

### Constructor Summary

Constructors
Constructor and Description
`UnsupportedOperationExceptionFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `createException(Event event)`
`Class<UnsupportedOperationException>` `getExceptionClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnsupportedOperationExceptionFactory

    public UnsupportedOperationExceptionFactory()

### Method Detail

#### createException

    public Throwable createException(Event event)

Specified by:
  `createException` in interface `EventExceptionManager.ExceptionFactory`

#### getExceptionClass

    public Class<UnsupportedOperationException> getExceptionClass()

Specified by:
  `getExceptionClass` in interface `EventExceptionManager.ExceptionFactory`